package com.mx.cneeds.server.datashow.client;

import com.mx.cneeds.common.dto.PageDto;
import com.mx.cneeds.common.dto.SeriesDto;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @ClassName DeviceClient
 * @Author zzrdark
 * @Date 2020-03-18 15:57
 * @Description TODO
 **/
@FeignClient(name = "CNEEDS-SERVER-DEVICE")
public interface DeviceClient {

    @PostMapping("/device/series/list")
    PageDto seriesList(@RequestParam Integer page,
                     @RequestParam("limit") Integer pageSize,
                     @RequestParam("sidx") String orderField,
                     @RequestParam("order") String order);

    @PostMapping("/device/series/save")
    void addSeries(@RequestBody SeriesDto dto);

    @PostMapping("/device/series/update")
    void updateSeries(@RequestBody SeriesDto dto);

    @PostMapping("/device/series/delete")
    void deleteSeries(@RequestBody List<Long> ids);

}
